FORMAT: 1A
HOST: http://192.168.0.53:5555

# Group Vectoreapi
Group of all vectoreapi-related resources.

## Hfarejection

This resource for to fetch HfaLicense data. 

## Index [/vectorapi/Hfarejection/index{?limit,access_token}]

### Index [GET]

+ Parameters

    + limit (optional,number, `2`)
    + access_token (optional,varchar, `some token`)


+ Request JSON Message
    
    + Headers

            Accept: application/json

+ Response 200 (application/json)

    + Body
{
  "envelope": {
    "header": {
      "apiVersion": "1.0",
      "baseUrl": "192.168.0.69",
      "httpStatusCode": 200
    },
    "request": "Hfarejection/index?params=vectorapi&Hfarejection&index&json&2&<some_token>",
    "response": {
      "hfaRejection": [
        {
          "clientManager": "BradNavin",
          "vendorName": "Cleopatra Records",
          "subaccountName": null,
          "releaseName": "Rockabilly Dance! 100 Rare Rippin' Masters",
          "upc": "888003883772",
          "trackId": "14874238",
          "trackName": "Gone Baby, Gone",
          "cd": "2",
          "isrc": "QMDA71388615",
          "requestCreated": "2013-12-04 17:26:40",
          "responseCreated": "2014-02-11 13:04:35",
          "trackWriters": null,
          "trackPublishers": null,
          "trackNumber": "1",
          "requestReasonOne": null,
          "responseReasonOne": "",
          "requestReasonTwo": "SONG NOT MATCHED: SONG TITLE NOT FOUND",
          "responseReasonTwo": "Song Not Matched. Request automatically routed from file to HFA staging area if publisher and writer is provided.",
          "requestReasonThree": null,
          "responseReasonThree": ""
        },
        {
          "clientManager": "BradNavin",
          "vendorName": "Cleopatra Records",
          "subaccountName": null,
          "releaseName": "Rockabilly Dance! 100 Rare Rippin' Masters",
          "upc": "888003883772",
          "trackId": "14874188",
          "trackName": "Just Rockin'",
          "cd": "1",
          "isrc": "QMDA71388565",
          "requestCreated": "2013-12-06 17:26:40",
          "responseCreated": "2014-02-11 13:04:35",
          "trackWriters": null,
          "trackPublishers": null,
          "trackNumber": "1",
          "requestReasonOne": "SONG NOT MATCHED: SONG TITLE NOT FOUND",
          "responseReasonOne": "Song Not Matched. Request automatically routed from file to HFA staging area if publisher and writer is provided.",
          "requestReasonTwo": null,
          "responseReasonTwo": "",
          "requestReasonThree": null,
          "responseReasonThree": ""
        }
      ],
      "totalRecords": "100"
    }
  }
}

## Index [/vectorapi/Hfarejection/index{?limit,access_token,vendorName}]

### Index [GET]

+ Parameters

    + limit (optional,number, `2`)
    + access_token (optional,varchar, `some token`)
    + vendorName (optional,varchar, `Cleopatra Records`)


+ Request JSON Message
    
    + Headers

            Accept: application/json

+ Response 200 (application/json)

    + Body
{
  "envelope": {
    "header": {
      "apiVersion": "1.0",
      "baseUrl": "192.168.0.69",
      "httpStatusCode": 200
    },
    "request": "Hfarejection/index?params=vectorapi&Hfarejection&index&json&2&<some_token>&Cleopatra Records",
    "response": {
      "hfaRejection": [
        {
          "clientManager": "BradNavin",
          "vendorName": "Cleopatra Records",
          "subaccountName": null,
          "releaseName": "Rockabilly Dance! 100 Rare Rippin' Masters",
          "upc": "888003883772",
          "trackId": "14874238",
          "trackName": "Gone Baby, Gone",
          "cd": "2",
          "isrc": "QMDA71388615",
          "requestCreated": "2013-12-04 17:26:40",
          "responseCreated": "2014-02-11 13:04:35",
          "trackWriters": null,
          "trackPublishers": null,
          "trackNumber": "1",
          "requestReasonOne": null,
          "responseReasonOne": "",
          "requestReasonTwo": "SONG NOT MATCHED: SONG TITLE NOT FOUND",
          "responseReasonTwo": "Song Not Matched. Request automatically routed from file to HFA staging area if publisher and writer is provided.",
          "requestReasonThree": null,
          "responseReasonThree": ""
        },
        {
          "clientManager": "BradNavin",
          "vendorName": "Cleopatra Records",
          "subaccountName": null,
          "releaseName": "Rockabilly Dance! 100 Rare Rippin' Masters",
          "upc": "888003883772",
          "trackId": "14874188",
          "trackName": "Just Rockin'",
          "cd": "1",
          "isrc": "QMDA71388565",
          "requestCreated": "2013-12-06 17:26:40",
          "responseCreated": "2014-02-11 13:04:35",
          "trackWriters": null,
          "trackPublishers": null,
          "trackNumber": "1",
          "requestReasonOne": "SONG NOT MATCHED: SONG TITLE NOT FOUND",
          "responseReasonOne": "Song Not Matched. Request automatically routed from file to HFA staging area if publisher and writer is provided.",
          "requestReasonTwo": null,
          "responseReasonTwo": "",
          "requestReasonThree": null,
          "responseReasonThree": ""
        }
      ],
      "totalRecords": "100"
    }
  }
}


+ **Other Optional Parameters**

    +limit
    + offset
    + sortBy
    + sortOrder
    + vendorName
    + subAccountName
    + isrc
    + upc
    + releaseName
    + trackId
    + trackName
    + rejectedReason 
    + vendorId
    + customerName
